WebFlowUnitTestSupport (Grails 3.1.10)
Date: 2016-07-28

Package: grails.test.mixin.webflow

## [Groovy] Class WebFlowUnitTestSupport

- grails.test.mixin.webflow.WebFlowUnitTestSupport

- Support class for building a mock Web Flow. Based on https://gist.github.com/881935

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.String` | `BUILD`
    `java.util.Map` | `currentEvent`
    `java.lang.String` | `currentEventName`
    `java.lang.String` | `currentOnEvent`
    `java.lang.Boolean` | `done`
    `java.util.Map` | `flowMap`
    `groovy.lang.Closure` | `setEventOnActionCallback`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WebFlowUnitTestSupport (groovy.lang.Closure setEventOnActionCallback)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `action(groovy.lang.Closure actionClosure)`
    `java.util.Map` | `doBuild(java.lang.String name, java.lang.Object[] args)`
    `void` | `handleEvent(java.lang.String name, java.lang.Object[] args)`
    `void` | `input(groovy.lang.Closure action)`
    `java.lang.Object` | `invokeClosureNode(java.lang.Object args)`
    `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object obj)`
    `java.lang.Boolean` | `isCurrentEventInitialized()`
    `java.lang.Boolean` | `isFlowInitialized()`
    `java.lang.Object` | `on(java.lang.String event)`
    `java.lang.Object` | `on(java.lang.String event, groovy.lang.Closure closure)`
    `void` | `output(groovy.lang.Closure action)`
    `void` | `subflow(java.lang.Object subflow)`
    `void` | `subflow(java.util.LinkedHashMap subflowArgs)`
    `void` | `to(java.lang.String state)`
    `static java.util.Map` | `translate(groovy.lang.Closure closure, groovy.lang.Closure setEventOnActionCallback)`
    `groovy.lang.Closure` | `wrapWithEventName(groovy.lang.Closure action, java.util.Map params = [:])`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.lang.String BUILD

    - #### java.util.Map currentEvent

    - #### java.lang.String currentEventName

    - #### java.lang.String currentOnEvent

    - #### java.lang.Boolean done

    - #### java.util.Map flowMap

    - #### groovy.lang.Closure setEventOnActionCallback

  - ### Constructor Detail

    - #### WebFlowUnitTestSupport(groovy.lang.Closure setEventOnActionCallback)

  - ### Method Detail

    - #### void action(groovy.lang.Closure actionClosure)

    - #### java.util.Map doBuild(java.lang.String name, java.lang.Object[] args)

    - #### void handleEvent(java.lang.String name, java.lang.Object[] args)

    - #### void input(groovy.lang.Closure action)

    - #### java.lang.Object invokeClosureNode(java.lang.Object args)

    - #### java.lang.Object invokeMethod(java.lang.String name, java.lang.Object obj)

    - #### java.lang.Boolean isCurrentEventInitialized()

    - #### java.lang.Boolean isFlowInitialized()

    - #### java.lang.Object on(java.lang.String event)

    - #### java.lang.Object on(java.lang.String event, groovy.lang.Closure closure)

    - #### void output(groovy.lang.Closure action)

    - #### void subflow(java.lang.Object subflow)

    - #### void subflow(java.util.LinkedHashMap subflowArgs)

    - #### void to(java.lang.String state)

    - #### static java.util.Map translate(groovy.lang.Closure closure, groovy.lang.Closure setEventOnActionCallback)

    - #### groovy.lang.Closure wrapWithEventName(groovy.lang.Closure action, java.util.Map params = [:])